Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.transport.publickey.rsa
Class SshRsaKeyPair

    java.lang.Object
      com.sshtools.j2ssh.transport.publickey.SshKeyPair
          com.sshtools.j2ssh.transport.publickey.rsa.SshRsaKeyPair

public class SshRsaKeyPair
extends SshKeyPair

DOCUMENT ME!

Constructor Summary
`SshRsaKeyPair()` Creates a new SshRsaKeyPair object.

Method Summary
`SshPrivateKey` | `decodePrivateKey(byte[] encoded)` DOCUMENT ME!
`SshPublicKey` | `decodePublicKey(byte[] encoded)` DOCUMENT ME!
`void` | `generate(int bits)` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.transport.publickey.SshKeyPair
`getPrivateKey, getPublicKey, setPrivateKey, setPrivateKey, setPublicKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SshRsaKeyPair

    public SshRsaKeyPair()

  Creates a new SshRsaKeyPair object.

Method Detail

### decodePrivateKey

    public SshPrivateKey decodePrivateKey(byte[] encoded)
                                   throws InvalidSshKeyException

  DOCUMENT ME!

  Specified by:
    `decodePrivateKey` in class `SshKeyPair`
  Parameters:
    `encoded` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `InvalidSshKeyException` - DOCUMENT ME!

### decodePublicKey

    public SshPublicKey decodePublicKey(byte[] encoded)
                                 throws InvalidSshKeyException

  DOCUMENT ME!

  Specified by:
    `decodePublicKey` in class `SshKeyPair`
  Parameters:
    `encoded` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `InvalidSshKeyException` - DOCUMENT ME!

### generate

    public void generate(int bits)

  DOCUMENT ME!

  Specified by:
    `generate` in class `SshKeyPair`
  Parameters:
    `bits` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD